![Stack](https://i.imgur.com/cCiHOGS.jpg)
# Hugo Theme Stack

> Card-style Hugo theme designed for bloggers.

## Demo

[Example Site](https://theme-stack.jimmycai.com/)

[![Netlify Status](https://api.netlify.com/api/v1/badges/a2d2807a-a905-4bcb-97da-8da8d847da3d/deploy-status)](https://app.netlify.com/sites/hugo-theme-stack/deploys)

## Documentation & more information

[Documentation](https://www.notion.so/jimmycai/Hugo-Theme-Stack-511aec5b9ed845ce9b6e3ae0bf7fb6d4) | [中文文档](https://www.notion.so/jimmycai/Hugo-Theme-Stack-511aec5b9ed845ce9b6e3ae0bf7fb6d4)

## Introduction

Stack is a simple card-style Hugo theme designed for bloggers, some of its features are:

- Responsive images support
- Lazy load images
- Dark mode
- [PhotoSwipe](https://photoswipe.com/) integration
- Archive page template
- Full native JavaScript, no jQuery or any other frameworks are used
- No CSS framework, keep it simple and minimal
- External dependencies (like PhotoSwipe's library) are being loaded selectively, or asynchronously
- Properly cropped thumbnails

The only JavaScript library being used is [node-vibrant](https://github.com/Vibrant-Colors/node-vibrant) for generating colour schemes for articles.

![Page Insight](https://i.imgur.com/0hUWmMh.png)

## Requirements

This theme uses SCSS and TypeScript. For that reason, it's necessary to use **Hugo ≥ 0.74.0**.

Use Hugo Extended version if you want to:

* Use the latest feature/fix from `master` branch
* Edit SCSS files
  
**Compiled CSS are updated once per release.**

## Installation

Clone / Download this repository to `theme` folder, and edit your site config following `exampleSite/config.toml`.

Check [documentation](https://www.notion.so/jimmycai/Hugo-Theme-Stack-511aec5b9ed845ce9b6e3ae0bf7fb6d4) for more details.

## Copyright

**Licensed under the GNU General Public License v3.0**

Please do not remove the "*Theme Stack designed by Jimmy*" text and link.

If you want to port this theme to another blogging platform, please let me know🙏.

## Sponsoring

If you like this theme, consider supporting its development:

<a href="https://www.buymeacoffee.com/jimmycai" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-green.png" alt="Buy Me A Coffee" height="60px" width="217px"></a>

Your support is greatly appreciated :)

## Thanks to

  - [Vibrant-Colors/node-vibrant](https://github.com/Vibrant-Colors/node-vibrant)
  - [Normalize.css](https://necolas.github.io/normalize.css/)
  - [Tabler icons](https://tablericons.com/)
  - [Pure CSS implementation of Google Photos / 500px image layout](https://github.com/xieranmaya/blog/issues/6)
  - [jonsuh/hamburgers](https://github.com/jonsuh/hamburgers)
  - [PhotoSwipe](https://photoswipe.com/)
  - [artchen/hexo-theme-element](https://github.com/artchen/hexo-theme-element)
  - [MunifTanjim/minimo](https://github.com/MunifTanjim/minimo)
  - [lepture/yue.css](https://github.com/lepture/yue.css)
  - Markdown gallery syntax from [Typlog](https://typlog.com/)
